Delete container
DELETE /api/v1/projects/{projectId}/{agentType}/container
DELETE
/api/v1/projects/{projectId}/{agentType}/container
Stops and removes the container for the given project. The container is permanently deleted.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Project ID
Responses
Section titled “ Responses ”OK
Container holds the container result when a container was created. Nil when the request did not include container configuration.
object
agentType
AgentType is the agent type for this container.
string
containerId
ContainerID is the Docker container ID.
string
name
Name is the container name.
string
projectId
ProjectID is the deterministic project identifier.
string
recreated
Recreated is true when the container was fully recreated (not just settings updated).
boolean
Bad Request
object
code
string
error
string
Not Found
object
code
string
error
string
Internal Server Error
object
code
string
error
string